[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [epf-dev] Install error on Linux

Antonielly,

The word I have from the development team is that Ubuntu is not supported.
You may want to open an enhancement request for future consideration at: https://bugs.eclipse.org/bugs/enter_bug.cgi?product=EPF
and file it against the "Tool" component.

Thanks!

Ricardo Balduino





From:        Antonielly Garcia Rodrigues <antonielly@xxxxxxxxx>
To:        epf-dev@xxxxxxxxxxx
Date:        09/20/2012 11:35 AM
Subject:        Re: [epf-dev] Install error on Linux
Sent by:        epf-dev-bounces@xxxxxxxxxxx




I notice that "-arch x86" is passed as a command line option by the "epf" executable file. However, I am using a 64 bit OS. Would that mismatch be the possible cause of the install failure?
 
Which workaround is available for EPF Composer to work for a 64 bit Linux?


On 18 September 2012 16:58, Antonielly Garcia Rodrigues <antonielly@xxxxxxxxx> wrote:
The following error appears when I run the "epf" program:

JVM terminated. Exit code=13
/usr/bin/java
-Xms64m
-Xmx512m
-jar /home/antonielly/Desktop/epf-composer/plugins/org.eclipse.equinox.launcher_1.1.1.R36x_v20101122_1400.jar
-os linux
-ws gtk
-arch x86
-showsplash
-launcher /home/antonielly/Desktop/epf-composer/epf
-name Epf
--launcher.library /home/antonielly/Desktop/epf-composer/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_1.1.2.R36x_v20101019_1345/eclipse_1310.so
-startup /home/antonielly/Desktop/epf-composer/plugins/org.eclipse.equinox.launcher_1.1.1.R36x_v20101122_1400.jar
-exitdata 18001c
-data @user.home/EPF/workspace.151
-vm /usr/bin/java
-vmargs
-Xms64m
-Xmx512m
-jar /home/antonielly/Desktop/epf-composer/plugins/org.eclipse.equinox.launcher_1.1.1.R36x_v20101122_1400.jar

I have tried it with the "java" installation in both openjdk-6-jdk and oracle-java7-installer, and exactly the same error has appeared.

My operating system is Linux Mint 13 (Maya) 64 bits, a derivative of Ubuntu 12.04 (Precise Pangolin) 64 bits.

The output of "java -version" is:
java version "1.7.0_07"
Java(TM) SE Runtime Environment (build 1.7.0_07-b10)
Java HotSpot(TM) 64-Bit Server VM (build 23.3-b01, mixed mode)

This is the official implementation from Oracle, not the one from OpenJDK.

Considering this, do you know how I could install EPF successfully?

Thanks in advance.


Antonielly

_______________________________________________
epf-dev mailing list
epf-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/epf-dev